<div class="btnAcrossPageName">
    <mb-button
        (click)="openAddModal()"
        mbButtonSize="MEDIUM" mbButtonAvailableStyle="ADD_NEW"
        mbButtonText="{{'personalTax.label.add' | translate}}"
    ></mb-button>
</div>

<div class="basicSearch">
    <app-loading *ngIf="isLoadingPage"></app-loading>
    <salary-account-reqs-search-form #searchForm (keyup.enter)="doSearch(1, true)"></salary-account-reqs-search-form>

    <div nz-row class="btn__row">
        <div nz-col nzSpan="8"></div>
        <div nz-col nzSpan="8">
            <div style="text-align: center">
                <mb-button
                    class="staff__research__btn__search"
                    mbButtonSize="MEDIUM"
                    mbButtonAvailableStyle="SEARCH"
                    (click)="doSearch(1, true)"
                    mbButtonText="{{'personalTax.label.search' | translate}}"
                ></mb-button>
                <mb-button
                    mbButtonSize="MEDIUM"
                    mbButtonType="BORDER"
                    (click)="doExportData()"
                >
                    <img src="/assets/icon/staff-manager/export_excel.svg" alt=""/>
                </mb-button>
            </div>
        </div>
        <div nz-col nzSpan="8"></div>
    </div>

</div>


<div class="search__content--group">
    <mb-table-merge-cell-wrap>
        <div class="headerTableSelect">
            <!-- Tạo yêu cầu tất cả -->
            <mb-button
                mbButtonSize="SMALL"
                mbButtonAvailableStyle="PRIMARY"
                mbButtonText="{{'personalTax.label.createRequestAll' | translate}}"
                (click)="createRequestAll()"
            ></mb-button>
            <!--End: Tạo yêu cầu tất cả -->
            <!-- Tạo yêu cầu -->
            <mb-button
                *ngIf="t24AccountReqSet.size > 0"
                mbButtonSize="SMALL"
                mbButtonAvailableStyle="PRIMARY"
                mbButtonText="{{'personalTax.label.createRequest' | translate}}"
                (click)="createRequestByList()"
            ></mb-button>
            <!--End: Tạo yêu cầu -->
        </div>
        <mb-table-merge-cell
            #table
            (changePageNum)="doSearch($event)"
            [tableConfig]="tableConfig" [dataList]="dataTable"
            (dblClickRow)="onDblClickNode($event)"
            (amountSelectedRowsChange)="onAmountSelectedRowChange($event)"
            [isScrollHeight]="true"
            nzScrollHeight="55vh"
        ></mb-table-merge-cell>
    </mb-table-merge-cell-wrap>
</div>

<!--Trạng thái-->
<ng-template #statusTmpl let-status="status">
    <ng-container *ngFor="let item of constant.T24_ACCOUNT_REQS_STATUSES">
        <nz-tag
            *ngIf="status === item.value"
            [nzColor]="item.bgColor"
            [ngStyle]="{'color': item.color}"
            >{{item.label | translate}}</nz-tag>
    </ng-container>
</ng-template>
<!--End: Trạng thái -->


<!--Hành động-->
<ng-template #actionTmpl let-status="status" let-t24AccountReqId="t24AccountReqId">
    <em nz-icon
       class="menu__item--btn"
       nz-button
       nzType="more"
       nzTheme="outline"
       nzTrigger="click"
       nz-dropdown
       [nzDropdownMenu]="menu"
    ></em>
    <nz-dropdown-menu #menu="nzDropdownMenu">
        <ul nz-menu style="width: 150px; padding: 0">
            <li
                [nzDisabled]="status !== 1"
                [ngStyle]="(status !== 1) ? {cursor: 'not-allowed', color: disabledColor}: {}"
                nz-button
                nz-menu-item
                style="padding: 0 20px"
                (click)="createRequest(t24AccountReqId, status)"
            >
                <div class="menu__item">
                    <em nz-icon nzType="check" nzTheme="outline" style="margin-right: 10px"></em>
                    <span>{{'personalTax.label.createRequest' | translate}}</span>
                </div>
            </li>
            <li
                [nzDisabled]="status !== 1"
                [ngStyle]="(status !== 1) ? {cursor: 'not-allowed', color: disabledColor}: {}"
                nz-button
                nz-menu-item
                style="padding: 0 20px"
                (click)="openModalEdit(t24AccountReqId, false, status)"
            >
                <div class="menu__item">
                    <em nz-icon nzType="edit" nzTheme="outline" style="margin-right: 10px"></em>
                    <span>{{'personalTax.label.edit' | translate}}</span>
                </div>
            </li>
            <li
                nz-button
                nz-menu-item
                style="padding: 0 20px"
                (click)="openModalEdit(t24AccountReqId, true)"
            >
                <div class="menu__item">
                    <em nz-icon nzType="eye" nzTheme="outline" style="margin-right: 10px"></em>
                    <span>{{'personalTax.label.detail' | translate}}</span>
                </div>
            </li>
            <li
                [nzDisabled]="status !== 1"
                [ngStyle]="(status !== 1) ? {cursor: 'not-allowed', color: disabledColor}: {}"
                nz-button
                nz-menu-item
                style="padding: 0 20px"
                (click)="onDeleteClick(t24AccountReqId, status)"
            >
                <div class="menu__item">
                    <em nz-icon nzType="delete" nzTheme="outline" style="margin-right: 10px"></em>
                    <span>{{'personalTax.label.delete' | translate}}</span>
                </div>
            </li>
        </ul>
    </nz-dropdown-menu>
</ng-template>
<!--End: Hành động-->
